import React from 'react';

export const useCurrentPlaylistID = () => {
  const [currentPlaylistID, _setCurrentPlaylistID] = React.useState<number>(0);

  const setCurrentPlaylistID = React.useCallback(
    (_currentPlaylist: number): void => {
      _setCurrentPlaylistID(_currentPlaylist);
    },
    []
  );

  return {
    currentPlaylistID,
    setCurrentPlaylistID,
  };
};
